<?php

shell_exec('ddev exec rm /var/www/html/export/openapi.yaml');
shell_exec('ddev exec rm /var/www/html/export/openapi.json');
shell_exec('ddev exec bin/console api:openapi:export --yaml >> openapi.yaml');


// URL der JSON-Datei
$jsonUrl = 'https://matsen-tool-be.ddev.site:8443/api/docs.json';

// JSON von der URL abrufen
$jsonData = file_get_contents($jsonUrl);

// Pfad, um die JSON-Datei zu speichern (lokaler Dateipfad)
$savePath = 'openapi.json';

// JSON-Datei speichern
file_put_contents($savePath, $jsonData);